set(PACKAGE_VERSION "1.3.1")

string(REPLACE "." ";" HIREDICT_VERSION_COMPONENTS ${PACKAGE_VERSION})
string(REPLACE "." ";" REQUESTED_VERSION_COMPONENTS ${PACKAGE_FIND_VERSION})

list(GET HIREDICT_VERSION_COMPONENTS 0 HIREDICT_VERSION_MAJOR)
list(GET HIREDICT_VERSION_COMPONENTS 1 HIREDICT_VERSION_MINOR)

list(GET REQUESTED_VERSION_COMPONENTS 0 REQUESTED_VERSION_MAJOR)
list(GET REQUESTED_VERSION_COMPONENTS 1 REQUESTED_VERSION_MINOR)

if(("${HIREDICT_VERSION_MAJOR}" EQUAL "${REQUESTED_VERSION_MAJOR}") AND
    (("${HIREDICT_VERSION_MINOR}" EQUAL "${REQUESTED_VERSION_MINOR}") OR
     ("${HIREDICT_VERSION_MINOR}" GREATER "${REQUESTED_VERSION_MINOR}")))
    set(PACKAGE_VERSION_COMPATIBLE TRUE)
    if("${PACKAGE_VERSION}" VERSION_EQUAL "${PACKAGE_FIND_VERSION}")
        set(PACKAGE_VERSION_EXACT TRUE)
    endif()
else()
    set(PACKAGE_VERSION_COMPATIBLE FALSE)
endif()

